Bug 487662 - segfault in perl in libpthread-2.9.so
segfault in perl in libpthread-2.9.so
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 06:06 EST by Mustafa Mehmed
Modified: 2009-11-27 03:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-27 03:15:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from mythtv box running on x86_64 (483.62 KB, text/plain)
2009-02-27 06:06 EST, Mustafa Mehmed
no flags Details
perl script file (144.62 KB, text/plain)
2009-03-02 06:54 EST, Mustafa Mehmed
no flags Details

  None (edit)
Description Mustafa Mehmed 2009-02-27 06:06:56 EST
Created attachment 333458 [details]
/var/log/messages from mythtv box running on x86_64

Description of problem:
perl seg faults during mythfilldatabase script

Version-Release number of selected component (if applicable):

perl-5.10.0-56.fc10.i386 (running on F10 64 BIT)
libpthread-2.9.so

How reproducible:
whenever mythfilldatabase runs (cron job)

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mustafa Mehmed 2009-02-27 18:27:43 EST
My mistake - perl is  

perl-5.10.0-56.fc10.x86_64 (not i386 as stated above)
Comment 2 Marcela Mašláňová 2009-03-02 06:16:39 EST
I have this message also in my messages, but I don't know which programme to blame. Have you any clue which part is doing it? Some shorter reproducer will be welcome. I will try install mythv at first.
Comment 3 Mustafa Mehmed 2009-03-02 06:54:21 EST
Created attachment 333728 [details]
perl script file

perl script file used in mythtv (known as tv_grab_au and linked to mythfilldatabase on my system in Australia)
Comment 4 Mustafa Mehmed 2009-03-02 07:00:47 EST
There a _lot_ of perl dependencies involved in the "shepherd" script above. I got the script from the following url :- http://svn.whuffy.com/ . It is a perl script to get xmltv data for mythtv television program guide. It worked perfectly on Fedora 8 (via Mythdora 5). It seems to work OK at the moment even though there are still seg faults in /var/log/messages. ??
Comment 5 Marcela Mašláňová 2009-03-02 08:04:44 EST
Well, that's long script. In F-8 was perl-5.8.8 which was upgraded to perl-5.10.0. Some modules don't cooperate with him well.

I wasn't able to reproduce it on mythtv, but I have segafault on test from perl-PDL (which has less dependencies). Strangely it's failing every third execution or so.

Package perl-PDL:
perl -I../lib PDL-2.4.4/t/plplot.t                                                                         
1..34                                                                                                                             
some tests...
ok 16 - plgvpd call works correctly
ok 17 - plgvpw call works correctly
Segmentation fault
Comment 6 Mustafa Mehmed 2009-03-03 07:08:34 EST
Marcela, Is there anyway I can help?
Comment 7 Marcela Mašláňová 2009-03-03 08:38:34 EST
Hm, I was wondering if you have this problem also on i386 or someone else?
Comment 8 Mustafa Mehmed 2009-03-03 16:51:21 EST
In my previous install (Mythdora 5) it was as an i386 setup on the same x86_64 machine and did not see any errors. But this was not with F10 but with F8. I don't have a current i386 machine to test. 

There is a mailing list for the shepherd script that has no archives nor search ability unfortunately, but I will post a message there and hope to get a reply. (I haven't had any success getting replies before however, so don't hold your breath.)
Comment 9 Marcela Mašláňová 2009-03-04 03:03:42 EST
So I have tested in rawhide i386 the plplot.t test and it pass. Then we can assume this segfault is happening only on x86_64.
Comment 10 Mustafa Mehmed 2009-03-04 03:17:39 EST
So exactly what does this mean? Why is there a difference between i386 and x86_64?
Comment 11 Mustafa Mehmed 2009-03-04 03:18:51 EST
Marcela, can you tell me how to test plplot.t on my x86_64 machine please.
Comment 12 Marcela Mašláňová 2009-03-04 04:04:28 EST
Well, you can download srpm perl-PDL, install all build requires and run perl -I../lib PDL-2.4.4/t/plplot.t. But that doesn't help you solve your problem :-/
Comment 13 Mustafa Mehmed 2009-03-04 04:48:56 EST
Ok. No point in me doing this test. Does the error 15 give you any ideas?
mythfilldatabas[11119]: segfault at a18eb0 ip 0000000000a18eb0 sp 00007f7d911c9d78 error 15
Comment 14 Bug Zapper 2009-11-18 04:53:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Marcela Mašláňová 2009-11-27 03:15:27 EST
I can't reproduce this behaviour anymore in next releases. I'm closing it.

Note You need to log in before you can comment on or make changes to this bug.